@import "../../style/miam.scss";

.miam-catalog-header {
  display: flex;
  position: relative;
  width: 100%;
  height: 480px;

  .miam-catalog-header__picture {
    width: 100%;
    height: 100%;
    overflow: hidden;

    .miam-catalog-header__picture__gradient {
      border-top-left-radius: var(--m-border-radius);
      border-top-right-radius: var(--m-border-radius);
      position:absolute;
      width:100%; 
      height:100%;
      background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(32, 32, 32, 0.9) 93.02%);
    }
    .miam-catalog-header__picture__img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      z-index: var(--m-z-index-position-absolute-low);
      transition: var(--m-default-transition);
    }
  }

  .miam-catalog-header__return {
    position: absolute;
    top: 40px;
    left: 64px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 8px 12px;
    border-radius: 100px;
    background-color: var(--m-color-white);
    font-size: 13px;
    font-weight: bold;
    color: var(--m-color-primary);
    cursor: pointer;

    .icon-container {
      transform: rotate(90deg);
    }
    
  }

  .miam-catalog-header__content {
    position: absolute;
    left: 64px;
    bottom: 90px;
    width: 632px;

    .miam-catalog-header__title {
      font-size: 40px;
      color: var(--m-color-white);
      font-weight: bold;
      margin-bottom: 24px;
    }

    .miam-catalog-header__searchbar {
      display: flex;
      width: calc(100% - 64px);
      height: 48px;
      background: var(--m-color-white);
      border: 1px solid #CCCCCC;
      border-radius: 4px;
      font-size: 16px;
    
      .miam-catalog-header__searchbar__input {
        border: transparent;
        width: 484px;
        margin-left: 16px;
      }
    
      .miam-catalog-header__searchbar__input:focus {
        outline: transparent;
      }
    
      .miam-catalog-header__searchbar__icon {
        margin: 16px;
        cursor: pointer;
      }
      
    }
    
  }

  .miam-catalog-header__link {
    position: absolute;
    right: 24px;
    bottom: 24px;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 8px 16px;
    background-color: rgba(255, 255, 255, 0.3);
    border: 1px solid rgba(255, 255, 255, 0.5);
    border-radius: 4px;
    color: var(--m-color-white);
    cursor: pointer;

    .miam-catalog-header__link__icon {
      margin-left: 8px;
    }
  }
}